/* usbtest.c
 *
 * This file contains some tests for transfer to and from the RadioProcessor USB board.
 * It also can reset the firmware.
 * 
 * This code is used for our own internal debugging procedures. It is of no use to customers.
 * 
  * $Date: 2008/04/28 18:29:51 $
 *
 * To get the latest version of this code, or to contact us for support, please
 * visit http://www.spincore.com
 */

/* Copyright (c) 2008 SpinCore Technologies, Inc.
 *
 * This software is provided 'as-is', without any express or implied warranty. 
 * In no event will the authors be held liable for any damages arising from the 
 * use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose, 
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 * claim that you wrote the original software. If you use this software in a
 * product, an acknowledgment in the product documentation would be appreciated
 * but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 * misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 */

#include <stdio.h>
#include <stdlib.h>

#include "spinapi.h"
#include "if.h"
#include "usb.h"
#include "driver-usb.h"

extern char version[];

int main (int argc, char **argv)
{
    pb_set_debug(1);

    printf("This statically linked program is based off of spinapi %s\n", version);
    printf("(You have to recompile this to use a new version of spinapi. Try 'make usb'\n");

    printf("Found %d SpinCore USB devices.\n", os_usb_count_devices(0x0403));

    if (os_usb_init(0) < 0) {
        printf ("###############################\n");
        printf ("####Error Intializing board####\n");
        return -1;
    }
    usb_reset_gpif(0);


    printf("USB test, new and improved!!\n");
    printf("\n-----------------------------\n\n");

    // do a hard reset
    char buf[3];
    buf[0] = 0;
    os_usb_write(0, EP1OUT, buf, 3);

    // enable the PCI_READ bit
    usb_write_reg(REG_CONTROL, 0x02);

    return 0;
}
